> ## Documentation Index
> Fetch the complete documentation index at: https://docs.appz.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Find a project by id or name

> Get the information for a specific project by passing either the project id or name in the URL.



## OpenAPI

````yaml GET /projects/{idOrName}
openapi: 3.1.0
info:
  version: 1.0.0
  title: Appz Api
servers:
  - url: https://api.youappz.dev
    description: Production API
security:
  - Bearer: []
paths:
  /projects/{idOrName}:
    get:
      tags:
        - projects
      parameters:
        - schema:
            type: string
            description: The unique project identifier or the project name
            example: prj_LLHUOMOoDlqOp8wPE4kFo9pE or my-project-name
          required: true
          name: idOrName
          in: path
      responses:
        '200':
          description: The project information
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type:
                      - string
                      - 'null'
                  teamId:
                    type:
                      - string
                      - 'null'
                  alias:
                    type:
                      - string
                      - 'null'
                  buildCommand:
                    type:
                      - string
                      - 'null'
                  devCommand:
                    type:
                      - string
                      - 'null'
                  installCommand:
                    type:
                      - string
                      - 'null'
                  framework:
                    type:
                      - string
                      - 'null'
                  outputDirectory:
                    type:
                      - string
                      - 'null'
                  commandForIgnoringBuildStep:
                    type:
                      - string
                      - 'null'
                  createdAt:
                    type: number
                  updatedAt:
                    type: number
                required:
                  - id
                  - name
                  - teamId
                  - alias
                  - buildCommand
                  - devCommand
                  - installCommand
                  - framework
                  - outputDirectory
                  - commandForIgnoringBuildStep
                  - createdAt
                  - updatedAt
        '400':
          description: Returns a validation error
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    example: 400
                  message:
                    type: string
                    example: >-
                      One of the provided values in the request body/query is
                      invalid
                required:
                  - code
                  - message
        '401':
          description: ''
        '403':
          description: You do not have permission to access this resource.
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````